Updates an existing cart item or creates the one in the cart.
/
Delete cart item by cart...
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Path
Bodyapplication/jsonProject ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"quantity": 123
}'Path
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Path
Bodyapplication/jsonProject ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/cart/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"quantity": 123
}'